FROM microsoft/dotnet:2.1-aspnetcore-runtime AS base
WORKDIR /app
EXPOSE 80

FROM microsoft/dotnet:2.1-sdk AS build
WORKDIR /src
COPY BillSplit/BillSplit.csproj BillSplit/
RUN dotnet restore BillSplit/BillSplit.csproj
COPY . .
WORKDIR /src/BillSplit
RUN dotnet build BillSplit.csproj -c Release -o /app

FROM build AS publish
RUN dotnet publish BillSplit.csproj -c Release -o /app

FROM base AS final
WORKDIR /app
COPY --from=publish /app .
ENTRYPOINT ["dotnet", "BillSplit.dll"]
